package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.Objects;

/**
 * SSH setting
 */
@ApiModel(description = "SSH setting")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class SshSetting   {
  @JsonProperty("sshEnable")
  private Boolean sshEnable;

  @JsonProperty("sshServerPort")
  private Integer sshServerPort;

  @JsonProperty("layer3Access")
  private Boolean layer3Access;

  public SshSetting sshEnable(Boolean sshEnable) {
    this.sshEnable = sshEnable;
    return this;
  }

  /**
   * Whether to enable SSH
   * @return sshEnable
  */
  @ApiModelProperty(required = true, value = "Whether to enable SSH")
  @NotNull


  public Boolean getSshEnable() {
    return sshEnable;
  }

  public void setSshEnable(Boolean sshEnable) {
    this.sshEnable = sshEnable;
  }

  public SshSetting sshServerPort(Integer sshServerPort) {
    this.sshServerPort = sshServerPort;
    return this;
  }

  /**
   * SSH server port should be 22 or within the range of 1025-65535.
   * @return sshServerPort
  */
  @ApiModelProperty(value = "SSH server port should be 22 or within the range of 1025-65535.")


  public Integer getSshServerPort() {
    return sshServerPort;
  }

  public void setSshServerPort(Integer sshServerPort) {
    this.sshServerPort = sshServerPort;
  }

  public SshSetting layer3Access(Boolean layer3Access) {
    this.layer3Access = layer3Access;
    return this;
  }

  /**
   * Whether to enable layer 3 accessibility
   * @return layer3Access
  */
  @ApiModelProperty(value = "Whether to enable layer 3 accessibility")


  public Boolean getLayer3Access() {
    return layer3Access;
  }

  public void setLayer3Access(Boolean layer3Access) {
    this.layer3Access = layer3Access;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    SshSetting sshSetting = (SshSetting) o;
    return Objects.equals(this.sshEnable, sshSetting.sshEnable) &&
        Objects.equals(this.sshServerPort, sshSetting.sshServerPort) &&
        Objects.equals(this.layer3Access, sshSetting.layer3Access);
  }

  @Override
  public int hashCode() {
    return Objects.hash(sshEnable, sshServerPort, layer3Access);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class SshSetting {\n");
    
    sb.append("    sshEnable: ").append(toIndentedString(sshEnable)).append("\n");
    sb.append("    sshServerPort: ").append(toIndentedString(sshServerPort)).append("\n");
    sb.append("    layer3Access: ").append(toIndentedString(layer3Access)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

